/// <reference types="grunt" />
import { EpccGruntFeature } from '../types';
export declare class AwsS3 implements EpccGruntFeature {
    getGruntConfig(): {
        aws_s3: {
            options: {
                accessKeyId: string | undefined;
                secretAccessKey: string | undefined;
                region: string | undefined;
                bucket: string | undefined;
                uploadConcurrency: number;
                params: {
                    ContentEncoding: string;
                };
            };
            upload_jsonl_gzipped_loader_files: {
                options: {
                    uploadConcurrency: number;
                };
                files: {
                    expand: boolean;
                    cwd: string;
                    src: string[];
                    dest: string | undefined;
                    action: string;
                    params: {};
                }[];
            };
            download_jsonl_gzipped_loader_files: {
                options: {};
                files: {
                    cwd: string;
                    dest: string | undefined;
                    action: string;
                }[];
            };
            delete_jsonl_gzipped_loader_files: {
                options: {};
                files: {
                    dest: string | undefined;
                    action: string;
                }[];
            };
        };
    };
    registerTasks(grunt: IGrunt): void;
}
