"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Compress = void 0;
const constants_1 = require("../constants");
class Compress {
    getGruntConfig() {
        return {
            compress: {
                gzip_jsonl_loader_files: {
                    options: {
                        mode: 'gzip',
                    },
                    expand: true,
                    cwd: './build/' + process.env.EPCC_ENV,
                    src: ['*.jsonl'],
                    dest: './build/' + process.env.EPCC_ENV,
                    ext: constants_1.GZIP_AWS_COMPRESS_EXTENSION,
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.loadNpmTasks('grunt-contrib-compress');
    }
}
exports.Compress = Compress;
