import { GZIP_AWS_COMPRESS_EXTENSION } from '../constants';
export class Compress {
    getGruntConfig() {
        return {
            compress: {
                gzip_jsonl_loader_files: {
                    options: {
                        mode: 'gzip',
                    },
                    expand: true,
                    cwd: './build/' + process.env.EPCC_ENV,
                    src: ['*.jsonl'],
                    dest: './build/' + process.env.EPCC_ENV,
                    ext: GZIP_AWS_COMPRESS_EXTENSION,
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.loadNpmTasks('grunt-contrib-compress');
    }
}
