"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLoaderSpecs = exports.CreateLoaderSpecs = void 0;
const constants_1 = require("../constants");
const constants_2 = require("../constants");
const constants_3 = require("../constants");
const constants_4 = require("../constants");
const constants_5 = require("../constants");
class CreateLoaderSpecs {
    getGruntConfig() {
        return { create_loader_specs: { create_all_http_payload: {} } };
    }
    registerTasks(grunt) {
        grunt.registerMultiTask('create_loader_specs', function () {
            (0, exports.createLoaderSpecs)(grunt);
        });
    }
}
exports.CreateLoaderSpecs = CreateLoaderSpecs;
const createLoaderSpecs = function (grunt) {
    const PAGESIZE = 50;
    grunt.file.write(constants_1.LOADER_SPEC_NODE, JSON.stringify({
        gzipFileUrls: ['@@NODE_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
    grunt.file.write(constants_2.LOADER_SPEC_PRODUCT, JSON.stringify({
        gzipFileUrls: ['@@PRODUCTS_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
    grunt.file.write(constants_3.LOADER_SPEC_PRICE, JSON.stringify({
        gzipFileUrls: ['@@PRICES_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
    grunt.file.write(constants_4.LOADER_SPEC_INVENTORY, JSON.stringify({
        gzipFileUrls: ['@@INVENTORY_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
    grunt.file.write(constants_5.LOADER_SPEC_PRODASSOC, JSON.stringify({
        gzipFileUrls: ['@@PROD_ASSOC_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
};
exports.createLoaderSpecs = createLoaderSpecs;
