/// <reference types="grunt" />
import { EpccGruntFeature } from '../types';
export declare class Http implements EpccGruntFeature {
    getGruntConfig(grunt: IGrunt): {
        http: {
            product_loader: {
                options: {
                    url: string | undefined;
                    method: string;
                    headers: {
                        'Api-Key': string | undefined;
                        'Content-Type': string;
                    };
                    body: () => string;
                    encoding: string;
                };
            };
            config_loader: {
                options: {
                    url: string | undefined;
                    method: string;
                    headers: {
                        'Api-Key': string | undefined;
                        'Content-Type': string;
                    };
                    body: () => string;
                    encoding: string;
                };
            };
            node_loader: {
                options: {
                    url: string | undefined;
                    method: string;
                    headers: {
                        'Api-Key': string | undefined;
                        'Content-Type': string;
                    };
                    body: () => string;
                    encoding: string;
                };
            };
            price_loader: {
                options: {
                    url: string | undefined;
                    method: string;
                    headers: {
                        'Api-Key': string | undefined;
                        'Content-Type': string;
                    };
                    body: () => string;
                    encoding: string;
                };
            };
            inventory_loader: {
                options: {
                    url: string | undefined;
                    method: string;
                    headers: {
                        'Api-Key': string | undefined;
                        'Content-Type': string;
                    };
                    body: () => string;
                    encoding: string;
                };
            };
            prod_assoc_loader: {
                options: {
                    url: string | undefined;
                    method: string;
                    headers: {
                        'Api-Key': string | undefined;
                        'Content-Type': string;
                    };
                    body: () => string;
                    encoding: string;
                };
            };
        };
    };
    registerTasks(grunt: IGrunt): void;
}
