declare function info(logMsg: unknown, ...data: any[]): void;
declare function debug(logMsg: unknown, ...data: any[]): void;
declare function error(logMsg: unknown, ...data: any[]): void;
declare function warn(logMsg: unknown, ...data: any[]): void;
declare function getLogger(loggerName: string): {
    info: typeof info;
    debug: typeof debug;
    error: typeof error;
    warn: typeof warn;
    loggerName: string;
};
declare function configureLogging(loggerInc: unknown, level?: string | undefined): void;
declare const _default: {
    getLogger: typeof getLogger;
    configureLogging: typeof configureLogging;
};
export default _default;
