import { CONFIG_CATALOGS_DEST, CONFIG_CURRENCIES_DEST, CONFIG_FLOWS_DEST, CONFIG_FLOW_ENTRIES_DEST, CONFIG_CATALOG_RULES_DEST, CONFIG_HIERARCHIES_DEST, CONFIG_INTEGRATION_DEST, CONFIG_INVENTORY_DEST, CONFIG_NODES_DEST, CONFIG_PRICEBOOKS_DEST, CONFIG_PRICES_DEST, CONFIG_PRODASSOC_DEST, CONFIG_PRODUCTS_DEST, CONFIG_VARIATIONS_DEST, DATA_DIR, JSON_SOURCE_CATALOGS_DIR, JSON_SOURCE_CURRENCIES_DIR, JSON_SOURCE_FLOWENTRIES_DIR, JSON_SOURCE_FLOWS_DIR, JSON_SOURCE_HIERARCHIES_DIR, JSON_SOURCE_INTEGRATIONS_DIR, JSON_SOURCE_INVENTORY_DIR, JSON_SOURCE_NODE_DIR, JSON_SOURCE_PRICEBOOKS_DIR, JSON_SOURCE_PRICE_DIR, JSON_SOURCE_PRODASSOC_DIR, JSON_SOURCE_PRODUCT_DIR, JSON_SOURCE_VARIATIONS_DIR, JSON_SOURCE_CATALOG_RULES_DIR, } from '../constants';
import path from 'path';
export class Concat {
    getGruntConfig() {
        return {
            concat: {
                config_integration_json_files: {
                    // todo change filename
                    src: [path.join(DATA_DIR, JSON_SOURCE_INTEGRATIONS_DIR, '**', '*.json')],
                    dest: CONFIG_INTEGRATION_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_catalog_json_files: {
                    src: [path.join(DATA_DIR, JSON_SOURCE_CATALOGS_DIR, '**', '*.json')],
                    dest: CONFIG_CATALOGS_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_currency_json_files: {
                    src: [path.join(DATA_DIR, JSON_SOURCE_CURRENCIES_DIR, '**', '*.json')],
                    dest: CONFIG_CURRENCIES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_flow_json_files: {
                    src: [path.join(DATA_DIR, JSON_SOURCE_FLOWS_DIR, '**', '*.json')],
                    dest: CONFIG_FLOWS_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_catalog_rules_json_files: {
                    src: [path.join(DATA_DIR, JSON_SOURCE_CATALOG_RULES_DIR, '**', '*.json')],
                    dest: CONFIG_CATALOG_RULES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_flow_entries_json_files: {
                    src: [path.join(DATA_DIR, JSON_SOURCE_FLOWENTRIES_DIR, '**', '*.json')],
                    dest: CONFIG_FLOW_ENTRIES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_hierarchy_json_files: {
                    src: [path.join(DATA_DIR, JSON_SOURCE_HIERARCHIES_DIR, '**', '*.json')],
                    dest: CONFIG_HIERARCHIES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_pricebook_json_files: {
                    src: [path.join(DATA_DIR, JSON_SOURCE_PRICEBOOKS_DIR, '**', '*.json')],
                    dest: CONFIG_PRICEBOOKS_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_variation_json_files: {
                    src: [path.join(DATA_DIR, JSON_SOURCE_VARIATIONS_DIR, '**', '*.json')],
                    dest: CONFIG_VARIATIONS_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                product_json_files: {
                    src: [path.join(DATA_DIR, JSON_SOURCE_PRODUCT_DIR, '**', '*.json')],
                    dest: CONFIG_PRODUCTS_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                node_json_files: {
                    src: [path.join(DATA_DIR, JSON_SOURCE_NODE_DIR, '**', '*.json')],
                    dest: CONFIG_NODES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                price_json_files: {
                    src: [path.join(DATA_DIR, JSON_SOURCE_PRICE_DIR, '**', '*.json')],
                    dest: CONFIG_PRICES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                inventory_json_files: {
                    src: [path.join(DATA_DIR, JSON_SOURCE_INVENTORY_DIR, '**', '*.json')],
                    dest: CONFIG_INVENTORY_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                prod_assoc_json_files: {
                    src: [path.join(DATA_DIR, JSON_SOURCE_PRODASSOC_DIR, '**', '*.json')],
                    dest: CONFIG_PRODASSOC_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.loadNpmTasks('grunt-contrib-concat');
    }
}
