/// <reference types="grunt" />
import { EpccGruntFeature } from '../types';
export declare class Copy implements EpccGruntFeature {
    getGruntConfig(): {
        copy: {
            aws_downloads: {
                files: {
                    expand: boolean;
                    dot: boolean;
                    dest: string;
                    src: string;
                    rename: (dest: string, src: string) => string;
                }[];
            };
            rename_store_config_file: {
                files: {
                    expand: boolean;
                    dot: boolean;
                    dest: string;
                    src: string;
                    rename: (dest: string, src: string) => string;
                }[];
            };
            store_config: {
                files: {
                    expand: boolean;
                    dot: boolean;
                    dest: string;
                    src: string;
                    rename: (dest: string, src: string) => string;
                }[];
            };
            rename_s3_bin_downloads: {
                files: {
                    expand: boolean;
                    dot: boolean;
                    dest: string;
                    src: string[];
                    rename: (dest: string, src: string) => string;
                }[];
            };
        };
    };
    registerTasks(grunt: IGrunt): void;
}
