import { LOADER_SPEC_NODE } from '../constants';
import { LOADER_SPEC_PRODUCT } from '../constants';
import { LOADER_SPEC_PRICE } from '../constants';
import { LOADER_SPEC_INVENTORY } from '../constants';
import { LOADER_SPEC_PRODASSOC } from '../constants';
export class CreateLoaderSpecs {
    getGruntConfig() {
        return { create_loader_specs: { create_all_http_payload: {} } };
    }
    registerTasks(grunt) {
        grunt.registerMultiTask('create_loader_specs', function () {
            createLoaderSpecs(grunt);
        });
    }
}
export const createLoaderSpecs = function (grunt) {
    const PAGESIZE = 50;
    grunt.file.write(LOADER_SPEC_NODE, JSON.stringify({
        gzipFileUrls: ['@@NODE_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
    grunt.file.write(LOADER_SPEC_PRODUCT, JSON.stringify({
        gzipFileUrls: ['@@PRODUCTS_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
    grunt.file.write(LOADER_SPEC_PRICE, JSON.stringify({
        gzipFileUrls: ['@@PRICES_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
    grunt.file.write(LOADER_SPEC_INVENTORY, JSON.stringify({
        gzipFileUrls: ['@@INVENTORY_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
    grunt.file.write(LOADER_SPEC_PRODASSOC, JSON.stringify({
        gzipFileUrls: ['@@PROD_ASSOC_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
};
